Bug 1658854 - [abrt] iwl_pcie_txq_inc_wr_ptr: WARNING: CPU: 7 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:2009 iwl_trans_pcie_grab_nic_access+0x1e1/0x220 [iwlwifi] [iwlwifi] [NEEDINFO]
Summary: [abrt] iwl_pcie_txq_inc_wr_ptr: WARNING: CPU: 7 PID: 0 at drivers/net/wireles...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislaw Gruszka
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ca815652cd8c9dfdca60b5a00e6...
: 1684736 1693439 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 02:43 UTC by Dan Loomis
Modified: 2019-09-17 20:02 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:02:20 UTC
Type: ---
jforbes: needinfo? (danloomis47)


Attachments (Terms of Use)
File: dmesg (92.88 KB, text/plain)
2018-12-13 02:43 UTC, Dan Loomis
no flags Details
300 lines of journalctl after the WiFi failed. (220.85 KB, text/plain)
2019-01-30 04:13 UTC, Dan Loomis
no flags Details
A few hundred lines of journalctl with error messages regarding WiFi (61.47 KB, text/plain)
2019-01-30 04:20 UTC, Dan Loomis
no flags Details

Description Dan Loomis 2018-12-13 02:43:29 UTC
Description of problem:
WiFi just stopped working.   Couldn't turn it off and back on.   This is an infrequent but recurring problem.

Additional info:
reporter:       libreport-2.9.6
WARNING: CPU: 7 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:2009 iwl_trans_pcie_grab_nic_access+0x1e1/0x220 [iwlwifi]
Modules linked in: ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 intel_rapl mei_wdt x86_pkg_temp_thermal iwlmvm iTCO_wdt intel_powerclamp iTCO_vendor_support ppdev coretemp hp_wmi wmi_bmof sparse_keymap mac80211 kvm irqbypass crct10dif_pclmul crc32_pclmul iwlwifi ghash_clmulni_intel intel_cstate btusb intel_uncore btrtl btbcm intel_rapl_perf btintel bluetooth snd_hda_codec_realtek
 snd_hda_codec_generic snd_hda_codec_hdmi cfg80211 uvcvideo i2c_i801 snd_hda_intel snd_hda_codec videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_hda_core videobuf2_common joydev snd_hwdep videodev snd_seq snd_seq_device ecdh_generic rtsx_pci_ms media snd_pcm memstick rfkill snd_timer mei_me snd mei lpc_ich parport_pc soundcore ie31200_edac wmi parport hp_accel lis3lv02d hp_wireless input_polldev video pcc_cpufreq tpm_infineon amdgpu chash gpu_sched hid_logitech_hidpp hid_logitech_dj uas usb_storage radeon i2c_algo_bit rtsx_pci_sdmmc drm_kms_helper mmc_core ttm drm e1000e crc32c_intel serio_raw rtsx_pci
CPU: 7 PID: 0 Comm: swapper/7 Not tainted 4.19.6-300.fc29.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.07 02/26/2015
RIP: 0010:iwl_trans_pcie_grab_nic_access+0x1e1/0x220 [iwlwifi]
Code: 6b f1 49 8d 55 08 bf 00 04 00 00 e8 09 f4 3f f0 e9 31 ff ff ff 89 c6 48 c7 c7 90 a2 ce c0 c6 05 ab 79 02 00 01 e8 c9 3e 3e f0 <0f> 0b e9 ec fe ff ff 48 8b 7b 30 48 c7 c1 f8 a2 ce c0 31 d2 31 f6
RSP: 0018:ffff9a08bdbc3e10 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff9a08b8320028 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff9a08bdbd6860
RBP: ffff9a08b832a268 R08: 0000000000000050 R09: 0000000000000003
R10: 0000000000000000 R11: 0000000000000001 R12: ffff9a08bdbc3e38
R13: 00000000ffffffff R14: ffff9a08ae9ba780 R15: 000000000000000a
FS:  0000000000000000(0000) GS:ffff9a08bdbc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f8a62976000 CR3: 000000053120a001 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? iwl_pcie_txq_inc_wr_ptr+0x100/0x100 [iwlwifi]
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x13a/0x210 [iwlwifi]
 ? iwl_pcie_txq_inc_wr_ptr+0x100/0x100 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x36/0x50 [iwlwifi]
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3ad/0x3e0
 ? tick_sched_timer+0x37/0x70
 ? __hrtimer_run_queues+0x110/0x280
 __do_softirq+0xe3/0x2eb
 ? ktime_get+0x36/0xa0
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x74/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb9/0x320
Code: e8 dc 7a 97 ff 80 7c 24 0b 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 3b 02 00 00 31 ff e8 fe 34 9d ff fb 66 0f 1f 44 00 00 <48> b8 ff ff ff ff f3 01 00 00 48 2b 1c 24 ba ff ff ff 7f 48 39 c3
RSP: 0018:ffffaba88320be90 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff9a08bdbe0f80 RBX: 00010454731208fd RCX: 000000000000001f
RDX: 00010454731208fd RSI: 0000000033518eeb RDI: 0000000000000000
RBP: ffff9a08bdbeb748 R08: 0000000000000002 R09: 0000000000020800
R10: 000289571ac7b03f R11: 0000000000000000 R12: 0000000000000005
R13: ffffffffb22d7938 R14: 0000000000000005 R15: 0000000000000000
 do_idle+0x226/0x260
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa4/0xb0

Potential duplicate: bug 1562578

Comment 1 Dan Loomis 2018-12-13 02:43:36 UTC
Created attachment 1513861 [details]
File: dmesg

Comment 3 Stanislaw Gruszka 2018-12-14 11:40:06 UTC
[286235.751085] Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)

This usually mean problem to talk to device via PCIe bus. It could be iwlwifi driver/firmware problem , but also pci host driver or FW/HW. Or other hardware there are errors from GPU cards as well.
Anyway only Intel can fix that.

Comment 4 Dan Loomis 2018-12-27 06:25:42 UTC
WiFi bjorked twice tonight.   I ran an upgrade which installed a new kernel and some new wifi firmware.   How do we convey the details of these failures to Intel so they can fix the firmware and drivers?

Comment 5 Emmanuel Grumbach 2018-12-27 06:29:17 UTC
We typically can't do much for the CSR 0xffffffff thing.
You can look at https://bugzilla.kernel.org/show_bug.cgi?id=201469

Comment 6 Dan Loomis 2018-12-30 22:50:12 UTC
This is happening much more frequently than in the past.   In the past it happened every few weeks.   Now it can occur multiple times a day and it no longer leaves a bug report in Problem Reporting.   Any thoughts on how to manually recover without rebooting.   In the past I tried restarting the network which didn't work, the on off function of the wifi doesn't do anything when this happens.

Comment 7 Justin M. Forbes 2019-01-29 16:13:08 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 4.20.5-200.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 8 Dan Loomis 2019-01-30 04:13:29 UTC
Created attachment 1524835 [details]
300 lines of journalctl after the WiFi failed.

Comment 9 Dan Loomis 2019-01-30 04:20:48 UTC
Created attachment 1524836 [details]
A few hundred lines of journalctl with error messages regarding WiFi

The first file was fouled up so I obsoleted it with this one.

Comment 10 Veanidon 2019-03-02 00:57:19 UTC
*** Bug 1684736 has been marked as a duplicate of this bug. ***

Comment 11 Allen Garrett Gelwick 2019-03-27 20:17:15 UTC
*** Bug 1693439 has been marked as a duplicate of this bug. ***

Comment 12 Laura Abbott 2019-04-09 20:44:04 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.
 
Fedora XX has now been rebased to 5.0.6  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.
 
If you experience different issues, please open a new bug report for those.

Comment 13 Dan Loomis 2019-04-10 05:17:00 UTC
My system is currently at:
[djl@Tesseract ~]$ uname -a
Linux Tesseract 5.0.5-200.fc29.x86_64 #1 SMP Wed Mar 27 20:58:04 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

The problem is intermittent and while uncommon the only way to recover is an unplanned restart.   If it recurs I will let you know.

Comment 14 Justin M. Forbes 2019-08-20 17:39:28 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 15 Justin M. Forbes 2019-09-17 20:02:20 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.